# eric4.KdeQt.__init__

Package implementing compatibility modules for using KDE dialogs instead og Qt dialogs.

The different modules try to import the KDE dialogs and implement interfaces, that are compatible with the standard Qt dialog APIs. If the import fails, the modules fall back to the standard Qt dialogs.

In order for this package to work PyKDE must be installed (see http://www.riverbankcomputing.co.uk/pykde.

### Global Attributes

None

### Classes

None

### Functions

__kdeIsKDE | Public function to signal the availability of KDE4.
__kdeKdeVersionString | Public function to return the KDE4 version as a string.
__kdePyKdeVersionString | Public function to return the PyKDE4 version as a string.
__qtIsKDE | Private function to signal the availability of KDE.
__qtKdeVersionString | Private function to return the KDE version as a string.
__qtPyKdeVersionString | Private function to return the PyKDE version as a string.
isKDE | Public function to signal, if KDE usage is enabled.
isKDEAvailable | Public function to signal the availability of KDE.
kdeVersionString | Public function to return the KDE version as a string.
pyKdeVersionString | Public function to return the PyKDE version as a string.

## __kdeIsKDE

__kdeIsKDE()

Public function to signal the availability of KDE4.

Returns:
  availability flag (always True)

Up

## __kdeKdeVersionString

__kdeKdeVersionString()

Public function to return the KDE4 version as a string.

Returns:
  KDE4 version as a string (QString)

Up

## __kdePyKdeVersionString

__kdePyKdeVersionString()

Public function to return the PyKDE4 version as a string.

Returns:
  PyKDE4 version as a string (QString)

Up

## __qtIsKDE

__qtIsKDE()

Private function to signal the availability of KDE.

Returns:
  availability flag (always False)

Up

## __qtKdeVersionString

__qtKdeVersionString()

Private function to return the KDE version as a string.

Returns:
  KDE version as a string (QString) (always empty)

Up

## __qtPyKdeVersionString

__qtPyKdeVersionString()

Private function to return the PyKDE version as a string.

Returns:
  PyKDE version as a string (QString) (always empty)

Up

## isKDE

isKDE()

Public function to signal, if KDE usage is enabled.

Returns:
  KDE support flag (always False)

Up

## isKDEAvailable

isKDEAvailable()

Public function to signal the availability of KDE.

Returns:
  availability flag (always False)

Up

## kdeVersionString

kdeVersionString()

Public function to return the KDE version as a string.

Returns:
  KDE version as a string (QString) (always empty)

Up

## pyKdeVersionString

pyKdeVersionString()

Public function to return the PyKDE version as a string.

Returns:
  PyKDE version as a string (QString) (always empty)

Up